# This imports all the layers for "now-log-in" into nowLogInLayers
sketch = Framer.Importer.load "imported/now-log-in"

Framer.Defaults.Animation = {
    curve: 'ease-in-out'
    time: 0.6
}

# Background 
bgLayer = sketch.Bg
bgLayer.scale = 1.125
bgLayer.opacity = 0
bgLayer.saturate = 0
bgLayer.blur = 5

# Logo
logoLayer = sketch.Mark
logoLayer.opacity = 0
logoLayer.scale = 0
logoLayer.center()

# Pulses
pulse1 = sketch.Pulse1
pulse2 = sketch.Pulse2

# Form offsets
offset = 55

# Username 
usernameLayer = sketch.Username
usernameLayer.opacity = 0
usernameLayer.y = usernameLayer.y-offset

# Password 
passwordLayer = sketch.Password
passwordLayer.opacity = 0
passwordLayer.y = passwordLayer.y-offset

# CTA
ctaLayer = sketch.CTA
ctaLayer.opacity = 0
ctaLayer.y = ctaLayer.y-offset

# Help
helpLayer = sketch.Help
helpLayer.opacity = 0

# Account
accountLayer = sketch.Account
accountLayer.opacity = 0

# Animate everything 

bgLayer.animate
	properties:
		opacity: 1
	delay: 0.5

logoLayer.animate
	properties:
		scale: 1
		opacity: 1
	delay: 0.5
	
logoLayer.animate
	properties:
		y: 200
	delay: 2.5
	
bgLayer.animate
	properties:
		saturate: 100
		blur: 0
		scale: 1
	delay: 2.5
	
usernameLayer.animate
	properties:
		opacity: 1
		y: usernameLayer.y+offset
	delay: 2.5

passwordLayer.animate
	properties:
		opacity: 1
		y: passwordLayer.y+offset
	delay: 2.55
	
ctaLayer.animate
	properties:
		opacity: 1
		y: ctaLayer.y+offset
	delay: 2.6
	
accountLayer.animate
	properties:
		opacity: 1
	delay: 2.65
	
helpLayer.animate
	properties:
		opacity: 1
	delay: 2.7