# This imports all the layers for "now-log-in" into nowLogInLayers
sketch = Framer.Importer.load "imported/now-log-in"

# Change the framer defaults
Framer.Defaults.Animation = {
    curve: 'ease-in-out'
    time: 0.4
}

# Login screen artboard
loginScreen = sketch.LogIn
loginScreen.index = 1

# Login screen background 
bgLayer = sketch.Bg
bgLayer.scale = 1.125
bgLayer.opacity = 0
bgLayer.saturate = 0
bgLayer.blur = 5

# Login screen Logo
logoLayer = sketch.Mark
logoLayer.opacity = 0
logoLayer.scale = 1.5
logoLayer.center()

# Login screen form offsets
offset = 110

# Login screen username 
usernameLayer = sketch.Username
usernameLayer.opacity = 0
usernameLayer.y = usernameLayer.y-offset
usernameLabel = sketch.UsernameLabel

# Login screen password 
passwordLayer = sketch.Password
passwordLayer.opacity = 0
passwordLayer.y = passwordLayer.y-offset
passwordLabel = sketch.PasswordLabel

# Login screen CTA
ctaLayer = sketch.CTA
ctaLayer.opacity = 0
ctaLayer.y = ctaLayer.y-offset

# Login screen loading icon
ctaLoading = sketch.Loading
ctaLoading.opacity = 0;

# Login screen help
helpLayer = sketch.Help
helpLayer.opacity = 0

# Login screen account
accountLayer = sketch.Account
accountLayer.opacity = 0

# Home screen artboard
homeScreen = sketch.Home
homeScreen.visible = true
homeScreen.rotationY = -90
homeScreen.index = 3

# Burger menu open
openCTA = sketch.Open

# Burger menu close
closeCTA = sketch.Close

# Nav screen artboard
navScreen = sketch.Navigation
navScreen.visible = true
navScreen.index = 2
navScreen.x = -600
navScreen.opacity = 0

# Animate everything 

bgLayer.animate
	properties:
		opacity: 1
	delay: 0.5

logoLayer.animate
	properties:
		scale: 1
		opacity: 1
	delay: 0.5
	
logoLayer.animate
	properties:
		y: 200
	delay: 2.5
		
bgLayer.animate
	properties:
		saturate: 100
		blur: 0
		scale: 1
	delay: 2.5
	
usernameLayer.animate
	properties:
		opacity: 1
		y: usernameLayer.y+offset
	delay: 2.5

passwordLayer.animate
	properties:
		opacity: 1
		y: passwordLayer.y+offset
	delay: 2.55
	
ctaLayer.animate
	properties:
		opacity: 1
		y: ctaLayer.y+offset
	delay: 2.6
	
accountLayer.animate
	properties:
		opacity: 1
	delay: 2.65
	
helpLayer.animate
	properties:
		opacity: 1
	delay: 2.65
	
ctaLayer.on Events.TouchStart, ->
	ctaLayer.animate
		properties:
			opacity: 0.5
		time: 0.125

ctaLayer.on Events.TouchEnd, ->
	ctaLoading.animate
		properties:
			opacity: 1
			rotation: 720
		curve: 'linear'
		time: 1.25
	loginScreen.animate
		properties:
			rotationY: 90
		time: 0.25
		delay: 1.5
	homeScreen.animate
		properties:
			rotationY: 0
		delay: 1.75
		time: 0.25		

openCTA.on Events.Click, ->
	homeScreen.animate
		properties:
			x: 600
			index: 2
	openCTA.animate
		properties:
			opacity: 0
	navScreen.animate
		properties:
			x: 0
			opacity: 1
			index: 3
			
closeCTA.on Events.Click, ->	
	homeScreen.animate
		properties:
			x: 0
			index: 3
	openCTA.animate
		properties:
			opacity: 1
	navScreen.animate
		properties:
			x: -600
			index: 2
			opacity: 0
